Debian Bug report logs - #702995
ITP: zegrapher -- plotting mathematical functions and sequences

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Georges Khaznadar <georgesk@debian.org>

Date: Wed, 13 Mar 2013 20:09:02 UTC

Owned by: Georges Khaznadar <georgesk@debian.org>

Severity: wishlist

Fixed in version zegrapher/2.0-1

Done: Georges Khaznadar <georgesk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#702995; Package wnpp. (Wed, 13 Mar 2013 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georgesk@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 13 Mar 2013 20:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georgesk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: zegrapher -- plotting mathematical functions and sequences
Date: Wed, 13 Mar 2013 21:05:00 +0100
Package: wnpp
Severity: wishlist
Owner: Georges Khaznadar <georgesk@debian.org>

* Package name    : zegrapher
  Version         : 2.0
  Upstream Author : Adel Kara Slimane <contact@zegrapher.com>
* URL             : http://zegrapher.com/
* License         :  GPL-3
  Programming Lang: C++
  Description     : plotting mathematical functions and sequences
  ZeGrapheris developed with the idea that it must be as easy to use as
  possible, suitable for high school students.
  Here are features offered by Zegrapher:
  .
  * Visualize up to six functions simultaneously. All the usual functions
     can be called, They're all written on the virtual keyboard of the
    program. The name of these must be followed by an open parenthesis.
    Ex : cos(3x), sqrt(x) and not cos 3x or sqrt x. On a given function,
     others can be called, and so it's possible to associate or compose
     functions.
  * Numerical sequence plotting, they can be defined by recurrent relation,
    or explicitly. On the recurrent definition, you can put as much first
    values as you need to.
  * Parametric equation plotting, with the possibility to use a second
   parameter, which is "k". The curves can be animated, with adjustable
    smoothness (frame rate) and speed (ms per step).
  * Parametric function and sequence plotting. The parameter to use is "k",
    once you put it on an function's expression, new widgets will appear
    on which you'll enter the range and the step of "k". You can also
    choose two colors and each curve would take a color between to two.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 14 Mar 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Georges Khaznadar <georgesk@debian.org>:
You have taken responsibility. (Sat, 13 Apr 2013 00:03:43 GMT) Full text and rfc822 format available.

Notification sent to Georges Khaznadar <georgesk@debian.org>:
Bug acknowledged by developer. (Sat, 13 Apr 2013 00:03:43 GMT) Full text and rfc822 format available.

Message #12 received at 702995-close@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georgesk@debian.org>
To: 702995-close@bugs.debian.org
Subject: Bug#702995: fixed in zegrapher 2.0-1
Date: Sat, 13 Apr 2013 00:00:12 +0000
Source: zegrapher
Source-Version: 2.0-1

We believe that the bug you reported is fixed in the latest version of
zegrapher, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702995@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Georges Khaznadar <georgesk@debian.org> (supplier of updated zegrapher package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 11 Mar 2013 18:25:56 +0100
Source: zegrapher
Binary: zegrapher
Architecture: source amd64
Version: 2.0-1
Distribution: unstable
Urgency: low
Maintainer: Georges Khaznadar <georgesk@debian.org>
Changed-By: Georges Khaznadar <georgesk@debian.org>
Description: 
 zegrapher  - plotting mathematical functions and sequences on the plane
Closes: 702995
Changes: 
 zegrapher (2.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #702995)
   * added a Makefile, an manpage and a .desktop file
Checksums-Sha1: 
 13c01534e912660a5feb89bf0064c327884f954d 1090 zegrapher_2.0-1.dsc
 96befb4eec0dc6751ef691de61b49c407813d23d 595602 zegrapher_2.0.orig.tar.gz
 05376771889e725337a4d32cf091e8a46c25a1c6 5929 zegrapher_2.0-1.debian.tar.gz
 08d2866594563ec113d3810256983c1046a5913e 408038 zegrapher_2.0-1_amd64.deb
Checksums-Sha256: 
 a216f866d0519b8c929f7b5ebca5dcd0d07411e4be279c4e6aa79bce093d2273 1090 zegrapher_2.0-1.dsc
 ac9b6a66dbf6094d0ddf09a6abc7494319191a941fcd5f31fce7d646e4763d9a 595602 zegrapher_2.0.orig.tar.gz
 0de3e40fd3a80386e2acddbc889c06e2038d839e49a95756b80f57adda0ffddd 5929 zegrapher_2.0-1.debian.tar.gz
 625bb7487ac9acaccf57d2f8750339be4810163cb32ce0d84ce66a33b77be61c 408038 zegrapher_2.0-1_amd64.deb
Files: 
 3d79bd37582c3450c7f2c6e0e8712ea1 1090 science extra zegrapher_2.0-1.dsc
 557fe1e66b55f910a0ba2f1e45972a39 595602 science extra zegrapher_2.0.orig.tar.gz
 8bc6c1fd1d238b008beef17aca023fb0 5929 science extra zegrapher_2.0-1.debian.tar.gz
 2dbe7c222d410f65f3cd63994155f29f 408038 science extra zegrapher_2.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRQO4Enfmb2hFpETARAkg6AJ9lfKALxmP09tzz3XIfN9gKuPqzIgCgiGcd
2j2hUM/WNyLl0audVmDNFVc=
=vWuO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:35:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:37:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.